PHP Manual
Prev |  | Next

# yaz_errno

(PHP 4 >= 4.0.1, PECL)

yaz_errno -- Returns error number

## Description

int yaz_errno ( resource id )

Returns an error number for the server (last request) identified by id.

yaz_errno() should be called after network activity for each server - (after yaz_wait() returns) to determine the success or failure of the last operation (e.g. search).

## Parameters

id

  The connection resource returned by yaz_connect().

## Return Values

Returns an error code. The error code is either a Z39.50 diagnostic code (usually a Bib-1 diagnostic) or a client side error code which is generated by PHP/YAZ itself, such as "Connect failed", "Init Rejected", etc.

## See Also

yaz_error()
yaz_addinfo()

Prev | Home | Next
yaz_element | Up | yaz_error